﻿;==============================================================================================================================================================================
; Set and display button toolbar/menu text in the statusbar
;==============================================================================================================================================================================

Procedure StatusBarButtonTip(WindowNumber.i, ButtonItem.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Protected Message.s
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Select WindowNumber.i
      
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
      
    Case #Window_Recipeview
      
      Select ButtonItem.s
          
        Case "Getallrecipes"        : Message.s = ShortKey\RecipeView_GetRecipes   + ", ShortCut:  "  + GetShortCutText(#Keys_RecipeView_GetRecipes)
          
        Case "Printthisrecipe"      : Message.s = ShortKey\RecipeView_PrintRecipe  + ", ShortCut:  "  + GetShortCutText(#Keys_RecipeView_PrintRecipe)
          
        Case "Screensnap"           : Message.s = ShortKey\RecipeView_ScreenSnap   + ", ShortCut:  "  + GetShortCutText(#Keys_RecipeView_ScreenSnap)
          
        Case "Tooltips"             : Message.s = ShortKey\RecipeView_ToolTips     + ", ShortCut:  "  + GetShortCutText(#Keys_RecipeView_ToolTips)
          
        Case "Titleclock"           : Message.s = ShortKey\RecipeView_TitleClock   + ", ShortCut:  "  + GetShortCutText(#Keys_RecipeView_TitleClock)
          
        Case "Stickywindow"         : Message.s = ShortKey\RecipeView_StickyWindow + ", ShortCut:  "  + GetShortCutText(#Keys_RecipeView_StickyWindow)
          
        Case "Showprogramhelp"      : Message.s = ShortKey\RecipeView_HelpProgram  + ", ShortCut:  "  + GetShortCutText(#Keys_RecipeView_HelpProgram)
          
        Case "Exitthisprogram"      : Message.s = ShortKey\RecipeView_ExitProgram  + ", ShortCut:  "  + GetShortCutText(#Keys_RecipeView_ExitProgram)
          
      EndSelect
      
      SetInfoBarArea("Headings", "Tool", Message.s, #PB_Compiler_Procedure)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
  EndSelect
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 32
; FirstLine = 4
; Folding = -
; EnableAsm
; EnableXP
; HideErrorLog
; EnableUnicode