﻿;==============================================================================================================================================================================
; Window snap, strikeoutfont and more
;==============================================================================================================================================================================

Procedure WindowCallback(WindowID, Message, wParam, lParam)
 
  ;------------------------------------------------------------------------------------------------
  ; Netmaestro's windowsnap code
  ;------------------------------------------------------------------------------------------------

  Static snapped1, snapped2, snapped3, snapped4
 
  ;------------------------------------------------------------------------------------------------
  ; Sparkie's strikeout section
  ;------------------------------------------------------------------------------------------------
 
  Static oldFont
 
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------

  ReturnValue = #PB_ProcessPureBasicEvents
 
  ;------------------------------------------------------------------------------------------------
  ; RASHAD's background colour support
  ;------------------------------------------------------------------------------------------------

  Select Message

    ;----------------------------------------------------------------------------------------------
    ; Turn strikeout off and on as needed
    ;----------------------------------------------------------------------------------------------
   
    Case #WM_NOTIFY
     
      ;--------------------------------------------------------------------------------------------
      ; Netmaestro's windowsnap code
      ;--------------------------------------------------------------------------------------------
     
    Case #WM_MOVING
     
     If Program\ScreenSnap = #True
       
        *view.RECT = lparam
       
        curwidth  = *view\right - *view\left
       
        curheight = *view\bottom - *view\top
       
        If AutoSnap                                                                         ;  AutoSnap Section
         
          If *view\left < SnapD
           
            If Not Snapped1
             
              *view\left = 0
             
              *view\right = curwidth
             
              snapped1 = #True
             
              ReturnValue = #True
             
            EndIf
           
          Else
           
            snapped1 = #False
           
          EndIf
         
          If *view\top < SnapD
           
            If Not Snapped2
             
              *view\top = 0
             
              *view\bottom = curheight
             
              snapped2 = #True
             
              ReturnValue = #True
             
            EndIf
           
          Else
           
            snapped2 = #False
           
          EndIf
         
          If *view\right > screenw - SnapD
           
            If Not Snapped3
             
              *view\left  = ScreenW - curwidth
             
              *view\right = screenW
             
              snapped3 = #True
             
              ReturnValue = #True
             
            EndIf
           
          Else
           
            snapped3 = #False
           
          EndIf     
         
          If *view\bottom > screenH - SnapD
           
            If Not Snapped4
             
              *view\top = screenH - curheight
             
              *view\bottom = screenH
             
              snapped4 = #True
             
              ReturnValue = #True
             
            EndIf
           
          Else
           
            snapped4 = #False
           
          EndIf     
         
        EndIf
       
        If *view\top < 0                                                                    ;  Inside Desktop Section
         
          *view\top = 0
         
          *view\bottom = curheight
         
        EndIf
       
        If *view\left < 0
         
          *view\left = 0
         
          *view\right = curwidth
         
        EndIf
       
        If *view\right > screenW
         
          *view\right = screenW
         
          *view\left = *view\right - curwidth
         
        EndIf
       
        If *view\bottom > screenH
         
          *view\bottom = screenH
         
          *view\top = *view\bottom - curheight
         
        EndIf
       
        MoveWindow_(WindowID, *view\left, *view\top, *view\right - *view\left, *view\bottom - *view\top, #True)
       
        ReturnValue = #True
       
     EndIf

  EndSelect
 
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
 
  ProcedureReturn ReturnValue
 
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
 
EndProcedure


; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 42
; FirstLine = 38
; Folding = -
; EnableXP
; CompileSourceDirectory